package com.ruoyi.common.core.domain;

/**
 * @ClassName: AMapResult
 * @Author: 于学智
 * @Description: 高德地图API返回
 * @CreateDate: 2023/9/13 22:16
 * @Version: 1.0
 * @E-mail:18722650553@139.com
 * @Link:https://github.com/18722650553
 */
public class AMapResult<T> {
    private int errcode;
    private String errmsg;
    private String errdetail;
    private T data;

    public int getErrcode() {
        return errcode;
    }

    public void setErrcode(int errcode) {
        this.errcode = errcode;
    }

    public String getErrmsg() {
        return errmsg;
    }

    public void setErrmsg(String errmsg) {
        this.errmsg = errmsg;
    }

    public String getErrdetail() {
        return errdetail;
    }

    public void setErrdetail(String errdetail) {
        this.errdetail = errdetail;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }
}
